Herald
OpenapiAudit

List audit events with optional filters and pagination

GET
/api/audit

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

category?string

Filter by audit category (user_management, rbac, realm_management, auth, billing, oauth, compliance)

action?string

Filter by action (e.g. user.create, auth.login)

actorId?string

Filter by actor ID

startTime?string

Start time (ISO 8601 / RFC 3339)

endTime?string

End time (ISO 8601 / RFC 3339)

page?integer

Page number (0-based, default 0)

Formatint64
Range0 <= value
pageSize?integer

Page size (default 20, max 100)

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/audit"
{  "items": [    {      "action": "string",      "actorId": "string",      "actorName": "string",      "actorType": "string",      "category": "string",      "createdAt": "string",      "id": "string",      "ipAddress": "string",      "result": "string",      "targetId": "string",      "targetName": "string",      "targetType": "string"    }  ],  "page": 0,  "pageSize": 0,  "total": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}